<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetComputedBOM Method (IEdmFile7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile7 Interface : GetComputedBOM Method (IEdmFile7)

Visual Basic
C#
C++/CLI

oBomLayoutNameOrID
  Name or ID of a Bill of Materials layout (see Remarks)

lVersionNo
  Version of file for which to get the Bill of Materials; 0 or -1 to use the latest version

bsConfiguration
  Name of the file configuration

lEdmBomFlags
  Combination of EdmBomFlag bits

Gets an interface to a computed Bill of Materials.

# Syntax

Visual Basic |
--- | ---

    Function GetComputedBOM( _
       ByVal oBomLayoutNameOrID As System.Object, _
       ByVal lVersionNo As System.Integer, _
       ByVal bsConfiguration As System.String, _
       ByVal lEdmBomFlags As System.Integer _
    ) As EdmBomView

C# |
--- | ---

    EdmBomView GetComputedBOM(
       System.object oBomLayoutNameOrID,
       System.int lVersionNo,
       System.string bsConfiguration,
       System.int lEdmBomFlags
    )

C++/CLI |
--- | ---

    EdmBomView^ GetComputedBOM(
    &   System.Object^ oBomLayoutNameOrID,
    &   System.int lVersionNo,
    &   System.String^ bsConfiguration,
    &   System.int lEdmBomFlags
    )

#### Parameters

oBomLayoutNameOrID
  Name or ID of a Bill of Materials layout (see Remarks)
lVersionNo
  Version of file for which to get the Bill of Materials; 0 or -1 to use the latest version
bsConfiguration
  Name of the file configuration
lEdmBomFlags
  Combination of EdmBomFlag bits

#### Return Value

IEdmBomView

# Example

See the IEdmFile7 examples.

# Remarks

To specify oBomLayoutNameOrID, use IEdmBomMgr.GetBomLayouts to enumerate the existing Bill of Materials layouts.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: An argument is invalid.

# See Also

####

IEdmFile7 Interface
IEdmFile7 Members

# Availability

SOLIDWORKS PDM Professional 2009